Webs/ERP/Controllers/ChuyenController.cs
using App.Erp.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using System.Data.Linq.SqlClient;

namespace App.Erp.Views.Chuyen
{
    public class ChuyenController : Controller
    {
        // GET: Chuyen
        public ActionResult Index(string FullName)
        {
            KetquaTSDataContext context = new KetquaTSDataContext();
            IList<Chuyen2020> _model = new List<Chuyen2020>();
            if (string.IsNullOrEmpty(FullName))
            {
                ViewBag.Masager = "Mời nhập số bao danh";
            }
            else
            {
                ViewBag.Masager = "";
                ViewBag.Result = "Kết quả:";
                var query = (from kqs in context.Hnue_KetquaTS where SqlMethods.Like(kqs.FullName, "%"+ FullName.Trim() + "%") select kqs).ToList();
                if (query.Count > 0)
                {
                    foreach (var item in query)
                    {
                        _model.Add(new Chuyen2020
                        {
                            Id = Convert.ToInt32(item.Id),
                            FullName = item.FullName,
                            Birthday = Convert.ToDateTime(item.Birthday),
                            HomeTown = item.Hometown,
                            Province = item.Province,
                            M1 = item.M1,
                            M2 = item.M2,
                            M3 = item.M3,
                            M4 = item.M4,
                            Total= item.Total,
                            Result = Convert.ToInt16(item.Result)
                        });
                    }
                }
                else
                {
                    ViewBag.Masager = "Không tìm thấy bản ghi nào";
                    ViewBag.Result = "";
                }
            }
            return View(_model);
        }
    }
}

Webs/ERP/Views/Chuyen/Capcha.cshtml
@{
    Layout = "~/Views/Shared/_LayoutHome.cshtml";
}
    <div class="text-center">
        <h3>BỘ GIÁO DỤC VÀ ĐÀO TẠO</h3>
        <h3>TRƯỜNG ĐẠI HỌC SƯ PHẠM HÀ NỘI</h3>
        <h2><b>TRA CUU KET QUA THI TUYEN SINH</b></h2>
        <h3><b>VÀO TRUONG CHUYEN ĐẠI HỌC SU PHAM NĂM 2020</b></h3>
        <br />
        <br />
        <br />
        <br />
        <br />
        <h3 style="color:red">SAI MÃ KIỂM TRA DO CLICK NHIỀU LẦN HOẶC MÁY TÍNH CÓ VIRUS<br />VUI LÒNG ĐĂNG KÝ LẠI <a href="/">TẠI ĐÂY</a>!</h3>
    </div>

Webs/ERP/Views/Chuyen/Index.cshtml
@using App.Erp.Providers
@using Core.Helper
@model List<App.Erp.Models.Chuyen2020>
@{
    Layout = "~/Views/Shared/_LayoutHome.cshtml";
}
@using (Html.BeginForm("Index", "Chuyen", FormMethod.Get, new { id = "formData", role = "form" }))
{
    <div class="container hnue_form">
        <div class="text-center">
            <h3>BỘ GIÁO DỤC VÀ ĐÀO TẠO</h3>
            <h3>TRƯỜNG ĐẠI HỌC SƯ PHẠM HÀ NỘI</h3>
            <h2><b>TRA CỨU KẾT QUẢ TUYỂN SINH</b></h2>
            <h3><b>VÀO TRƯỜNG CHUYÊN ĐẠI HỌC SƯ PHẠM NĂM 2020</b></h3>
        </div>
        <div class="row">
            <div class="col-12">
                <hr />
            </div>
            <div class="col-3 form-group">
                <label class="lbl-item">Nhập số báo danh(&lowast;)</label>
                <input type="text" name="FullName" value="" class="form-control" />
            </div>          
        </div>
        <div class="col-3 form-group">
            <br />
            <button type="submit" class="btn btn-primary">Tra cứu</button>
        </div>
        <div class="col-12">
            <hr />
            @ViewBag.Masager
            <h4>@ViewBag.Result</h4>
            @{
                foreach (var m in Model)
                {
                    var Ketqua = m.Result > 0 ? "Đỗ" : "Trượt";
                    var DateToString = Extentions.ToAppDate(m.Birthday);
                    <label id="@m.FullName">Họ và tên: @m.FullName</label><br />
                    <label id="@m.Birthday">Ngày sinh: @DateToString</label><br />
                    <label id="@m.M1">Điểm môn 1: @m.M1</label><br />
                    <label id="@m.M2">Điểm môn 2: @m.M2</label><br />
                    <label id="@m.M3">Điểm môn 3: @m.M3</label><br />
                    <label id="@m.M4">Điểm môn 4: @m.M4</label><br />
                    <label id="@m.Total">Tổng: @m.Total</label><br />
                    <label id="@m.Result">Kết quả: @Ketqua</label><br />
                    <hr />
                }
            }
        </div>
    </div>
}
<style>
    .hnue_form {
        margin: 30px auto;
        border: 2px dashed #ddd;
        padding: 10px 30px;
        font-family: Arial;
        font-size: 14px;
    }
    .hnue_form label {
        font-weight:normal;
    }
    .hnue_form input {
        border-top: none;
        border-left: none;
        border-right: none;
        border-bottom: 2px dashed #ccc;
        background: #fafafa;
    }
</style>

Webs/ERP/Views/Chuyen/UnSuccess.cshtml
@{
    Layout = "~/Views/Shared/_LayoutHome.cshtml";
}
    <div class="text-center">
        <h3>BỘ GIÁO DỤC VÀ ĐÀO TẠO</h3>
        <h3>TRƯỜNG ĐẠI HỌC SƯ PHẠM HÀ NỘI</h3>
        <h2><b>TRA CUU KET QUA THI TUYEN SINH</b></h2>
        <h3><b>VÀO TRUONG CHUYEN ĐẠI HỌC SU PHAM NĂM 2020</b></h3>
        <br />
        <br />
        <br />
        <h3 style="color:red">TRA CUU KHONG THANH CONG!</h3>
        Thí sinh can nhap so bao danh. Vui lòng làm lại <a href="http://ts2020.hnue.edu.vn/chuyen">ở đây.</a><br />
    </div>